# SDF Tool

*A signed distance fields-based tool to generate shadow transition maps*

## Key features

- float16 png output for reduced banding
- Automatic CUDA/OpenCL GPU Acceleration for most of the process
- *nix style command line interface

## How to use

From command line: `SDFMapTool -D <directory_with_images> -i "<image1.png;image2.png;...>" -o <output_file_path.png> ...`

Available options:

```terminal

  -d, --debug           Enable debug mode.

  -D, --imgDirectory    Required. Input Images directory.

  -i, --images          Required. Images file names separated by ';' and in the correct order.

  -o, --output          Required. Output file path.

  -b, --blur            How many blur iterations to run.

  -r, --radius          Blur radius.

  -s, --step            Blur step size.

  --sigma               Blur sigma value (weighting).

  --device              Device to use for computation. (CPU, OpenCL, CUDA)

  --help                Display this help screen.

  --version             Display version information.

```
